### Function

# Gimp buffer_get_image_type

#### Declaration [src]

    GimpImageBaseType
    gimp_buffer_get_image_type (
      const gchar* buffer_name
    )

#### Description [src]

Retrieves the specified buffer’s image type.

This procedure retrieves the specified named buffer’s image type.

Available since: | 2.4

#### Parameters

`buffer_name` | `const gchar*`
| The buffer name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GimpImageBaseType`
| The buffer image type.